#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(zs_lookup_class_index, "_gpl", "");
KSYMTAB_FUNC(zs_get_total_pages, "_gpl", "");
KSYMTAB_FUNC(zs_map_object, "_gpl", "");
KSYMTAB_FUNC(zs_unmap_object, "_gpl", "");
KSYMTAB_FUNC(zs_huge_class_size, "_gpl", "");
KSYMTAB_FUNC(zs_malloc, "_gpl", "");
KSYMTAB_FUNC(zs_free, "_gpl", "");
KSYMTAB_FUNC(zs_compact, "_gpl", "");
KSYMTAB_FUNC(zs_pool_stats, "_gpl", "");
KSYMTAB_FUNC(zs_create_pool, "_gpl", "");
KSYMTAB_FUNC(zs_destroy_pool, "_gpl", "");

MODULE_INFO(depends, "");

